Bug 209305 - Graphics corruption after suspend with desktop effects enabled
Graphics corruption after suspend with desktop effects enabled
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-04 10:47 EDT by Tom "spot" Callaway
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-16 18:36:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2006-10-04 10:47:38 EDT
On my IBM t42p laptop, after I suspend and resume, there is fairly annoying
graphics corruption that occurs.

See: http://people.redhat.com/tcallawa/FunkyColors2.png

All of the title bars are corrupted, but seem to be fixed when they are clicked.
The gnome panel dropshadows seem corrupted, and any shadows that occur are
corrupted.

Switching to a different VT, then back to X does not resolve the issue.
Comment 1 Kristian Høgsberg 2006-10-04 11:00:52 EDT
Did you start up the browser in the screen shot after coming back from suspend?
 What happens if you kill and restart gnome-window-decorator?
Comment 2 Tom "spot" Callaway 2006-10-04 11:14:11 EDT
Yes, the browser was opened after I resumed. Had it been open before, the
titlebar would have been corrupted (until I clicked on it).

Killing and restarting gnome-window-decorator resolves all of the issues.
Comment 3 Matěj Cepl 2007-09-11 20:34:32 EDT
Since this bugzilla report was filed, there have been several major updates,
which may have resolved this issue. Users who have experienced this problem are
encouraged to upgrade their system to the latest version of their distribution
available.

Please, if you experience this problem on the up-to-date system, let us now in
the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as
INSUFFICIENT_DATA. Thank you.
Comment 4 Tom "spot" Callaway 2007-09-12 09:39:42 EDT
Well, suspend isn't working at all on my machine at the moment, so I can't
really test this yet.
Comment 5 Matěj Cepl 2007-10-16 18:36:44 EDT
I am sorry, that means unfortunately that we cannot proceed with this bug. If
the problem reappears even when suspend/resume is available again, please reopen
this bug with additional information based on the current Rawhide. Thanks a lot
and sorry we cannot help you better.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.